<?xml version="1.0" encoding="UTF-8" ?>

<routes xmlns="http://symfony.com/schema/routing"
        xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
        xsi:schemaLocation="http://symfony.com/schema/routing http://symfony.com/schema/routing/routing-1.0.xsd">

    <route id="subscription.web_hook.controller.create_web_hook" path="/provider/{provider}">
        <default key="_controller">app_bundle_subscription.controller.subscription_web_hook_controller:createWebHook</default>
    </route>

    <route id="subscription.web_hook.controller.get_web_hooks" path="/web-hooks" methods="GET">
        <default key="_controller">app_bundle_subscription.controller.subscription_web_hook_controller:getWebHooks</default>
    </route>

    <route id="subscription.web_hook.controller.process_web_hooks" path="/web-hook/process/{hash}" methods="PUT">
        <default key="_controller">app_bundle_subscription.controller.subscription_web_hook_controller:processWebHook</default>
    </route>
</routes>